### Enumeration

# WPEPlatform InputPurpose

#### Declaration

    enum WPEPlatform.InputPurpose

#### Description [src]

Describes primary purpose of the input widget.

This information is useful for on-screen keyboards and similar input methods to decide which keys should be presented to the user.

#### Members

`WPE_INPUT_PURPOSE_FREE_FORM`

  Allow any character.

  - Value: `0`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_ALPHA`

  Allow only alphabetic characters.

  - Value: `1`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_DIGITS`

  Allow only digits.

  - Value: `2`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_NUMBER`

  Edited field expects numbers.

  - Value: `3`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_PHONE`

  Edited field expects phone number.

  - Value: `4`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_URL`

  Edited field expects URL.

  - Value: `5`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_EMAIL`

  Edited field expects email address.

  - Value: `6`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_NAME`

  Edited field expects the name of a person.

  - Value: `7`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_PASSWORD`

  Like `WPE_INPUT_PURPOSE_FREE_FORM`, but characters are hidden.

  - Value: `8`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_PIN`

  Like `WPE_INPUT_PURPOSE_DIGITS`, but characters are hidden.

  - Value: `9`
  - Available since: 2.0
`WPE_INPUT_PURPOSE_TERMINAL`

  Allow any character, in addition to control codes.

  - Value: `10`
  - Available since: 2.0